#include "newtonworld.bmx.release.win32.x86.h"
static BBString _s0={
	&bbStringClass,
	49,
	{67,114,101,97,116,101,78,101,119,116,111,110,87,111,114,108,100
	,58,32,102,97,105,108,101,100,32,116,111,32,99,114,101,97
	,116,101,32,78,101,119,116,111,110,32,119,111,114,108,100,33
}
};
struct newton_dynamics_TNWorld_obj* _m_newtonworld_CreateNewtonWorld(BBINT bbt_autofail){
	struct newton_dynamics_TNWorld_obj* volatile bbt_world=newton_dynamics_TNWorld_Create_TTNWorld();
	if((bbt_autofail!=0) && (bbt_world==&bbNullObject)){
		brl_blitz_RuntimeError(&_s0);
		bbEnd();
	}
	return bbt_world;
}
void _m_newtonworld_UpdateNewtonWorld(struct newton_dynamics_TNWorld_obj* bbt_world,BBFLOAT bbt_update_rate){
	(bbt_world)->clas->m_Update_f(bbt_world,(1.0f/bbt_update_rate));
}
void _m_newtonworld_ResetNewtonWorld(struct newton_dynamics_TNWorld_obj* bbt_world){
	(bbt_world)->clas->m_InvalidateCache(bbt_world);
}
static int _bb_newtonb3d_newtonworld_inited = 0;
int _bb_newtonb3d_newtonworld(){
	if (!_bb_newtonb3d_newtonworld_inited) {
		_bb_newtonb3d_newtonworld_inited = 1;
		__bb_brl_blitz_blitz();
		__bb_brl_appstub_appstub();
		__bb_brl_audio_audio();
		__bb_brl_bank_bank();
		__bb_brl_bankstream_bankstream();
		__bb_brl_basic_basic();
		__bb_brl_bmploader_bmploader();
		__bb_brl_d3d7max2d_d3d7max2d();
		__bb_brl_d3d9max2d_d3d9max2d();
		__bb_brl_data_data();
		__bb_brl_directsoundaudio_directsoundaudio();
		__bb_brl_eventqueue_eventqueue();
		__bb_brl_freeaudioaudio_freeaudioaudio();
		__bb_brl_freetypefont_freetypefont();
		__bb_brl_glgraphics_glgraphics();
		__bb_brl_glmax2d_glmax2d();
		__bb_brl_gnet_gnet();
		__bb_brl_jpgloader_jpgloader();
		__bb_brl_map_map();
		__bb_brl_maxlua_maxlua();
		__bb_brl_maxutil_maxutil();
		__bb_brl_oggloader_oggloader();
		__bb_brl_openalaudio_openalaudio();
		__bb_brl_pngloader_pngloader();
		__bb_brl_retro_retro();
		__bb_brl_tgaloader_tgaloader();
		__bb_brl_threads_threads();
		__bb_brl_timer_timer();
		__bb_brl_timerdefault_timerdefault();
		__bb_brl_wavloader_wavloader();
		__bb_pub_freejoy_freejoy();
		__bb_pub_freeprocess_freeprocess();
		__bb_pub_macos_macos();
		__bb_pub_opengles_opengles();
		__bb_pub_vulkan_vulkan();
		__bb_pub_xmmintrin_xmmintrin();
		__bb_newton_dynamics_dynamics();
		__bb_openb3d_b3dglgraphics_b3dglgraphics();
		return 0;
	}
	return 0;
}